CVE-2022-28506

Name
CVE-2022-28506
Description
There is a heap-buffer-overflow in GIFLIB 5.2.1 function DumpScreen2RGB() in gif2rgb.c:298:45.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://sourceforge.net/p/giflib/bugs/159/
MISC https://github.com/verf1sh/Poc/blob/master/asan_report_giflib.png
MISC https://github.com/verf1sh/Poc/blob/master/giflib_poc

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:giflib_project:giflib:5.2.1:*:*:*:*:*:*:* giflib == None == 5.2.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
giflib edge-main 5.2.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
giflib 3.15-main 5.2.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
giflib 3.14-main 5.2.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
giflib 3.13-main 5.2.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
giflib 3.12-main 5.2.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
giflib 3.16-main 5.2.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable